Skip to content

Bulk delete periodic ZFS snapshot jobs

DELETE
/zfs/datasets/snapshot/periodic
curl --request DELETE \
--url https://sylve.lan:8181/api/zfs/datasets/snapshot/periodic \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "ids": [ 1 ] }'

Atomically delete an exact, non-empty set of periodic ZFS snapshot jobs by ID

Periodic snapshot job IDs

Media typeapplication/json
object
ids
required
Array<integer>
>= 1 items <= 1024 items unique items
Examplegenerated
{
"ids": [
1
]
}

Success

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

One or more periodic snapshot jobs not found; nothing deleted

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}